Subject: bug#30093: closed (Re: bug#30093: Installing python-ipython breaks Gnome on Fedora.)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 29 Sep 2022 02:51:02 +0000

Your bug report

#30093: Installing python-ipython breaks Gnome on Fedora.

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
30093: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=30093
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#30093: Installing python-ipython breaks Gnome on Fedora.
From: Maxim Cournoyer <[email-masked]>
To: [email-masked]
Cc: [email-masked], [email-masked]
Date: Wed, 28 Sep 2022 22:50:46 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

[email-masked] <[email-masked]> writes:

> Hello,
>
> I see people mentioning here that there doesn't seem to be a general
> solution to be included in Guix for this, but I als do not understand
> what the particular solution (for my machine, for example) is supposed
> to be.
> I'm a new user to Guix and also not technically very experienced with
> Linux OS's, so feel free to point me out something obvious I have
> missed.
>
> I currently have Guix on top of Ubuntu 20.04, and I have this exact
> problem with XDG_DATA_DIRS being exported on startup of Gnome and
> breaking it, and i happend when this variable is added to
> ~/.guix-profile/etc/profile when installing certain packages; the ones
> detected so far where python-ipython, python-ipykernel and
> python-notebook.

That's been fixed in guix-install.sh with
23aafc800c9e678662766440916449ec5bbce830 from Philip McGrath (thanks!):
"etc/guix-install.sh: Initialize XDG base directories."

I've confirmed it fixes the original problem, which was that installing
'python-ipython' would break a GDM login to GNOME on Fedora, by
installing the latest Guix via guix-install.sh on a Fedora 33 VM I had
laying around, then 'guix install python-ipython', logout, then re-login
without an issue.

Closing!

-- 
Thanks,
Maxim

Subject: Installing python-ipython breaks Gnome on Fedora.
From: Fis Trivial <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Fri, 12 Jan 2018 21:32:26 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

* Environment
I am currently running Guix on top of Fedora 26, which comes with Gnome 3.24.2

As recommended(1), I source *~/.guix-profile/etc/profile* in *~/.bash_profile*
to make all the exported variables recognized by login shell.

* Issue
After installing python-ipython with guix, guix exported the following
variables:

	GUIX_GTK3_PATH
	PKG_CONFIG_PATH

The next time I login, Gnome was broken, displaying nothing but a black screen,
except for Owncloud client(which is based on Qt). And all the key bindings
are gone.

So, I used tty to move the `source` command from *.bash_profile* to *.bashrc*.
After that, Gnome came back and functions as usual.

* Version
$: guix --version
guix (GNU Guix) d9a38cc255d853b2694a01b5704c1daedbb56742

[1]: https://lists.gnu.org/archive/html/help-guix/2017-05/msg00072.html